Name:           faac
Version:        1.24
Release:        0.%{mysig}
Summary:        Freeware Advanced Audio Codec - encoder and encoding library for MPEG2/4 AAC

Group:          Applications/Multimedia
License:        LGPL
URL:            http://www.audiocoding.com/
Source0:        http://mesh.dl.sourceforge.net/sourceforge/faac/faac-1.24.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Not the version currently in rlo-testing:
BuildRequires:  faad2-devel >= 0:2.0  
BuildRequires:  libtool autoconf automake


%description
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW
COMPLEXITY object types and MAIN and LOW MPEG-2 object types. It also supports
multichannel and gapless encoding.

%package devel
Summary:        Development libraries of the FAAC AAC encoder
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW
COMPLEXITY object types and MAIN and LOW MPEG-2 object types. It also supports
multichannel and gapless encoding.

This package contains development files and documentation for libfaac.

%prep
%setup -q -n %{name}


%build
sh ./bootstrap
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root,-)
%doc COPYING ChangeLog README TODO
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*.h

%changelog
* Tue Sep 20 2005 Milan Kerslager <kerslage@linux.cz> 1.24-0.ker.rhel4
- rebuild for RHEL4 (package from http://rpm.livna.org/fedora/4/i386/SRPMS.lvn)

* Mon Oct 25 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.24-0.lvn.3
- BR automake autoconf (how could I have been that stupid and missed those? 
  don't answer please)

* Mon Oct 25 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.24-0.lvn.2
- BR libtool

* Fri Oct 22 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.24-0.lvn.1
- Initial RPM release. 
